Bug 17709 - Article request broken
Summary: Article request broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14610
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-01 19:43 UTC by Katrin Fischer
Modified: 2017-06-14 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17709 - Article request broken - 'internal server error' (1.13 KB, patch)
2016-12-01 20:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17709 - Article request broken - 'internal server error' (1.19 KB, patch)
2016-12-01 20:56 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17709 - Article request broken - 'internal server error' (1.28 KB, patch)
2016-12-02 07:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-12-01 19:43:59 UTC
Article requsts from OPAC and from intranet are showing an 'internal server error'. I am testing in 16.11 with Plack.
Comment 1 Katrin Fischer 2016-12-01 19:47:09 UTC
Plack was turned off, now it explodes differently:

Template process failed: undef error - The method _biblioitem is not covered by tests! at /usr/share/koha/lib/C4/Templates.pm line 121.
Comment 2 Katrin Fischer 2016-12-01 19:57:10 UTC
Updating severity, this is one of the 16.11 advertised features... and it's broken.
Comment 3 Kyle M Hall 2016-12-01 20:13:32 UTC
Created attachment 57866 [details] [review]
Bug 17709 - Article request broken - 'internal server error'

Article requsts from OPAC and from intranet are showing an 'internal
server error'. I am testing in 16.11 with Plack.

Test Plan:
1) Set circ rule to record only article requests
2) Attempt to place a request on a record with no items
3) Note the error
4) Apply this patch
5) You should now be able to place the request!
Comment 4 Mirko Tietgen 2016-12-01 20:56:47 UTC
Created attachment 57867 [details] [review]
Bug 17709 - Article request broken - 'internal server error'

Article requsts from OPAC and from intranet are showing an 'internal
server error'. I am testing in 16.11 with Plack.

Test Plan:
1) Set circ rule to record only article requests
2) Attempt to place a request on a record with no items
3) Note the error
4) Apply this patch
5) You should now be able to place the request!

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 5 Mirko Tietgen 2016-12-01 21:00:08 UTC
Fixes the second error and then works with plack too.
Comment 6 Marcel de Rooy 2016-12-02 07:35:40 UTC
Created attachment 57882 [details] [review]
Bug 17709 - Article request broken - 'internal server error'

Article requsts from OPAC and from intranet are showing an 'internal
server error'. I am testing in 16.11 with Plack.

Test Plan:
1) Set circ rule to record only article requests
2) Attempt to place a request on a record with no items
3) Note the error
4) Apply this patch
5) You should now be able to place the request!

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2016-12-02 10:11:13 UTC
Pushed to master ro 17.05!
Comment 8 Katrin Fischer 2016-12-04 21:38:48 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.

Thx for the quick fix!